<div class="container">
  <br>
  <form [formGroup]="createForm" (ngSubmit)="onSubmit()">

    <div class="form-row">
      <div class="form-group col">
        <label>Nom de la mission</label>
        <input type="text" class="form-control form-control-sm" formControlName="nomMission" placeholder="Nom mission">
        <div *ngIf="createForm.get('nomMission').invalid && (createForm.get('nomMission').dirty || createForm.get('nomMission').touched)"
             class="alert alert-warning p-sm-1 w-50 small">
          <div *ngIf="createForm.get('nomMission').errors.required">Champ requis</div>
        </div>
      </div>

      <div class="form-group col">
        <label>Nom du client</label>
        <input type="text" class="form-control form-control-sm" formControlName="nomClient" placeholder="Nom client">
      </div>
    </div>

    <div class="form-row">
      <div class="form-group col-6">
        <label>Département</label>
        <select class="form-control form-control-sm" formControlName="departement" (change)="onChange()">
          <option *ngFor="let d of departements" [value]="d.code">{{d.nom}}</option>
        </select>
      </div>

      <div class="form-group col" *ngIf="showVille">
        <label>Ville</label>
        <select class="form-control form-control-sm" formControlName="ville">
          <option *ngFor="let c of communes" [value]="c.nom">{{c.nom}}</option>
        </select>
      </div>
    </div>

    <div class="form-group">
      <label>Domaine</label>
      <select class="form-control form-control-sm" formControlName="domaines" multiple>
        <option *ngFor="let opt of domaines" [value]="opt">{{opt}}</option>
      </select>
    </div>

    <div class="form-row">
      <div class="form-group col">
        <label>Année de début</label>
        <select class="form-control form-control-sm" formControlName="anneeDebut">
          <option *ngFor="let year of yearRange" [value]="year">{{year}}</option>
        </select>
      </div>

      <div class="form-group col">
        <label>Année de fin</label>
        <select class="form-control form-control-sm" formControlName="anneeFin">
          <option *ngFor="let year of yearRange" [value]="year">{{year}}</option>
        </select>
      </div>
    </div>


    <div class="form-group">
      <label>Montant</label>
      <input type="number" class="form-control form-control-sm" formControlName="montant">
    </div>

    <div class="form-group">
      <label>Détails de la mission</label>
      <textarea class="form-control" formControlName="details" rows="5" placeholder="Description détaillée de la mission"></textarea>
    </div>

    <div class="form-group">
      <label>Image (optionnel)</label>
      <input type="file" class="form-control" formControlName="image">
    </div>

    <button type="submit" class="btn btn-primary" *ngIf="!refId" [disabled]="createForm.invalid">Créer</button>
    <button type="submit" class="btn btn-primary" *ngIf="refId" [disabled]="createForm.invalid">Edit</button>
  </form>
</div>
